OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Protected Attributes | Private Member Functions | List of all members
oms::ResultReader Class Referenceabstract

`#include <ResultReader.h>`

Inheritance diagram for oms::ResultReader:
[legend]

## Classes
struct | Series

## Public Member Functions
| ResultReader (const char *filename)
virtual | ~ResultReader ()
virtual Series * | getSeries (const char *var)=0
const std::vector< std::string > & | getAllSignals () const

## Static Public Member Functions
static ResultReader * | newReader (const char *filename)
static void | deleteSeries (Series **series)
static bool | compareSeries (Series *seriesA, Series *seriesB, double relTol, double absTol)

## Protected Attributes
std::vector< std::string > | signals

## Private Member Functions
| ResultReader (ResultReader const &copy)
ResultReader & | operator= (ResultReader const &copy)

## Constructor & Destructor Documentation

## ◆ ResultReader() [1/2]

oms::ResultReader::ResultReader | ( | const char * | filename | ) |

## ◆ ~ResultReader()

oms::ResultReader::~ResultReader | ( |  | ) |
| virtual

## ◆ ResultReader() [2/2]

oms::ResultReader::ResultReader | ( | ResultReader const & | copy | ) |
| private

## Member Function Documentation

## ◆ compareSeries()

bool oms::ResultReader::compareSeries | ( | Series * | seriesA,
|  | Series * | seriesB,
|  | double | relTol,
|  | double | absTol
| ) |  |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ deleteSeries()

void oms::ResultReader::deleteSeries | ( | Series ** | series | ) |
| static

Here is the caller graph for this function:

## ◆ getAllSignals()

const std::vector< std::string > & oms::ResultReader::getAllSignals | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getSeries()

virtual Series * oms::ResultReader::getSeries | ( | const char * | var | ) |
| pure virtual

Implemented in oms::CSVReader, and oms::MatReader.

Here is the caller graph for this function:

## ◆ newReader()

oms::ResultReader * oms::ResultReader::newReader | ( | const char * | filename | ) |
| static

Here is the caller graph for this function:

## ◆ operator=()

ResultReader & oms::ResultReader::operator= | ( | ResultReader const & | copy | ) |
| private

## Member Data Documentation

## ◆ signals

std::vector<std::string> oms::ResultReader::signals
| protected

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/ResultReader.h
- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/ResultReader.cpp